Bug 212848 - Error: bad register name `%r'
Error: bad register name `%r'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 12:26 EST by sean
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 08:00:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source (260.07 KB, application/octet-stream)
2006-10-29 13:12 EST, sean
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 29637 None None None Never

  None (edit)
Description sean 2006-10-29 12:26:44 EST
Description of problem:
building ffmpeg:

........
{standard input}: Assembler messages:

gcc -I/usr/src/redhat/BUILD/ffmpeg/libswscale   -DHAVE_AV_CONFIG_H
-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE
-I/usr/src/redhat/BUILD/ffmpeg -I/usr/src/redhat/BUILD/ffmpeg
-I/usr/src/redhat/BUILD/ffmpeg/libavutil -fPIC  -march=k8 -funswitch-loops
-ftree-vectorize     -pipe -frename-registers -mfpmath=sse -fomit-frame-pointer
-pthread -g -Wdeclaration-after-statement -Wall -Wno-switch
-Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Winline -O3  -c -o
cavs.o cavs.c
{standard input}:11102: Warning: end of file not at end of a line; newline inserted
{standard input}:11968: Error: bad register name `%r'
gcc: Internal error: Killed (program cc1)

Version-Release number of selected component (if applicable):

binutils-2.17.50.0.6-2.x86_6
gcc-4.1.1-31.x86_64



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 sean 2006-10-29 12:29:09 EST
Sorry, cut and paste error:

..............
gcc -I/usr/src/redhat/BUILD/ffmpeg/libswscale   -DHAVE_AV_CONFIG_H
-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE
-I/usr/src/redhat/BUILD/ffmpeg -I/usr/src/redhat/BUILD/ffmpeg
-I/usr/src/redhat/BUILD/ffmpeg/libavutil -fPIC  -march=k8 -funswitch-loops
-ftree-vectorize     -pipe -frename-registers -mfpmath=sse -fomit-frame-pointer
-pthread -g -Wdeclaration-after-statement -Wall -Wno-switch
-Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Winline -O3  -c -o
cavs.o cavs.c

{standard input}: Assembler messages:
{standard input}:11102: Warning: end of file not at end of a line; newline inserted
{standard input}:11968: Error: bad register name `%r'
gcc: Internal error: Killed (program cc1)
Please submit a full bug report.
...........
Comment 2 Jakub Jelinek 2006-10-29 12:42:40 EST
Please preprocess the source (assuming it the problem reproduceable; replace -c
with -E and cavs.o with cavs.i on the command line) and attach here.
Killed (program cc1) means that either some other process or kernel killed cc1,
so it might very well not be a gcc bug at all, it would be a bug only if gcc
needed excessively much memory compared to how big the source is.
Comment 3 sean 2006-10-29 13:12:31 EST
Created attachment 139673 [details]
preprocessed source

cavs.i from:

 gcc -I/usr/src/redhat/BUILD/ffmpeg/libswscale	 -DHAVE_AV_CONFIG_H
-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_ISOC9X_SOURCE
-I/usr/src/redhat/BUILD/ffmpeg -I/usr/src/redhat/BUILD/ffmpeg
-I/usr/src/redhat/BUILD/ffmpeg/libavutil -fPIC	-march=k8 -funswitch-loops
-ftree-vectorize     -pipe -frename-registers -mfpmath=sse -fomit-frame-pointer
-pthread -g -Wdeclaration-after-statement -Wall -Wno-switch
-Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Winline -O3	-E -o
cavs.i cavs.c
Comment 4 sean 2006-10-29 13:33:59 EST
You're correct about the memory. 

I ran it again watching top. I have 1 gig of ram and 4 gig swap. cc1 kept going
until it had 3950m of virtual ram.
Comment 5 sean 2006-11-04 08:14:11 EST
Is this a gcc bug, or should I report it to ffmpeg list?

And if it is gcc bug, is there a workaround while it's being looked at?
Comment 6 Jakub Jelinek 2006-11-05 08:00:33 EST
Fixed in gcc-4.1.1-32 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.